HYPOT 3M "630 MTG" ""

NAME
hypot - Euclidean distance function

SYNOPSIS
#include <ccs/math.h>

double hypot (x, y)
double x, y;

DESCRIPTION
Hypot returns

    sqrt(x * x + y * y),

taking precautions against unwarranted overflows.

DIAGNOSTICS
When the correct value would overflow, hypot returns HUGE and sets errno to ERANGE.

These error-handling procedures may be changed with the function matherr(3M).

SEE ALSO
matherr(3M).